# GardenMessenger

[![Build Status](https://travis-ci.org/siegy22/garden_messenger.svg?branch=master)](https://travis-ci.org/siegy22/garden_messenger)

Collects data of [AtlasScientific](https://www.atlas-scientific.com/) and [myStrom](https://mystrom.ch/) devices. The data is sent to [garden_monitor](https://github.com/siegy22/garden_monitor).

Currently supported:

- [x] [DHT22 temperature and humidity sensor](https://www.adafruit.com/product/385)
- [x] [pH Kit](https://www.atlas-scientific.com/product_pages/kits/ph-kit.html)
- [x] [Conductivity Kit](https://www.atlas-scientific.com/product_pages/kits/ec_k1_0_kit.html)
- [x] [Temperature Kit](https://www.atlas-scientific.com/product_pages/kits/temp_kit.html)
- [x] [myStrom Switch (CH)](https://mystrom.ch/wifi-switch-ch/)


## Installation

Add this line to your application's Gemfile:

Install it:

```bash
gem install garden_messenger
```

Checkout the [service file](/garden_messenger.service) for a template of a systemd service.

## Usage

Basic usage:

```bash
garden_messenger report http://garden-monitor.example.com super-secret-token
```

for advanced usage use, see:

```bash
garden_messenger help report
```

## Development

After checking out the repo, run `bin/setup` to install dependencies. Then, run `rake test` to run the tests. You can also run `bin/console` for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/siegy22/garden_messenger. This project is intended to be a safe, welcoming space for collaboration, and contributors are expected to adhere to the [Contributor Covenant](http://contributor-covenant.org) code of conduct.

## License

The gem is available as open source under the terms of the [MIT License](https://opensource.org/licenses/MIT).

## Code of Conduct

Everyone interacting in the GardenMessenger project’s codebases, issue trackers, chat rooms and mailing lists is expected to follow the [code of conduct](https://github.com/siegy22/garden_messenger/blob/master/CODE_OF_CONDUCT.md).
